package com.ims.eval.controller;

import com.ims.eval.entity.dto.result.R;
import com.ims.eval.schedule.ScoreCalculationSchedule;
import com.ims.eval.service.IOrganizationEvaluationInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author ：xugp
 * @date ：Created in 2023/3/15 9:46
 * @description：计算控制器
 * @modified By：
 * @version: $
 */

@RestController
@RequestMapping("//calculator")
public class CalculatorController {

	@Autowired
	private ScoreCalculationSchedule scoreCalculationSchedule;

	@Autowired
	private IOrganizationEvaluationInfoService organizationEvaluationInfoService;

	@GetMapping("/cron")
	public R test(@RequestParam(value = "id", required = false) String id,
				  @RequestParam(value = "indicatorId", required = false) String indicatorId,
				  @RequestParam(value = "binStage", required = false) String binStage,
				  @RequestParam(value = "binSection", required = false) String binSection) {
		boolean b = organizationEvaluationInfoService.calculationByEvaluationId("", indicatorId, id, "", binStage, binSection);
		//boolean b = scoreCalculationSchedule.doTask(id);
		if (b) {
			return R.ok().data(b);
		} else {
			return R.error().data("计算失败！");
		}
	}
}
