package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author xujuanning
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("organization_rating_indicator")
public class OrganizationRatingIndicator implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 名称
     */
    private String name;

    /**
     * 英文编码
     */
    private String code;

    /**
     * 指标详细描述
     */
    private String description;

    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 生产经营、前期、基建、年度的区分
     */
    private String stageCode;

    /**
     * 评级阶段
     */
    private String ratingStage;

    /**
     * 备用1
     */
    private String mome1;


}
